%global pypi_name pulp-container
%global commitId 8311aa9fa00574144e4ffd7c6488c4483e116f1a
%{?python_disable_dependency_generator}

%if 0%{?rhel} == 8
%global component_prefix 3x
%endif

Name:           python%{?component_prefix}-%{pypi_name}
Version:        2.15.5
Release:        1%{?dist}
Summary:        Container plugin for the Pulp Project

License:        GPLv2+
URL:            https://github.com/pulp/pulp_container
Source0:        python-pulp-container-8311aa9fa00574144e4ffd7c6488c4483e116f1a.tar.gz
BuildArch:      noarch

BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-rpm-macros
BuildRequires:  python%{python3_pkgversion}-setuptools

%global _description \
This is the pulp_container Plugin for Pulp Project 3.0+. This plugin provides\
Pulp with support for container images, similar to the pulp_docker plugin for\
Pulp 2.

%description
%{_description}

%package -n     python%{python3_pkgversion}-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python%{python3_pkgversion}-%{pypi_name}}

Requires:       python%{python3_pkgversion}-cryptography >= 3.3.1
Requires:       python%{python3_pkgversion}-jsonschema >= 4.4
Requires:       python%{python3_pkgversion}-jsonschema < 4.18
Requires:       python%{python3_pkgversion}-pulpcore >= 3.25.0
Requires:       python%{python3_pkgversion}-pulpcore < 3.40
Requires:       python%{python3_pkgversion}-pyjwkest >= 1.4
Requires:       python%{python3_pkgversion}-pyjwkest <= 1.4.2
Requires:       python%{python3_pkgversion}-pyjwt >= 2.4
Requires:       python%{python3_pkgversion}-pyjwt <= 2.8

Provides:       pulpcore-plugin(container) = %{version}
Obsoletes:      python3-%{pypi_name} < %{version}-%{release}
%if 0%{?rhel} == 8
Obsoletes:      python38-%{pypi_name} < %{version}-%{release}
%endif

%description -n python%{python3_pkgversion}-%{pypi_name}
%{_description}

%prep
set -ex
%autosetup -n python-%{pypi_name}-%{commitId}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
set -ex
%py3_build

%install
set -ex
%py3_install

%files -n python%{python3_pkgversion}-%{pypi_name}
%license LICENSE
%doc README.rst
%{python3_sitelib}/pulp_container
%{python3_sitelib}/pulp_container-%{version}*-py%{python3_version}.egg-info

%changelog
* Thu Feb 15 2024 Satoe Imaishi <simaishi@redhat.com> - 2.15.5-1
- Update to 2.15.5

* Wed Apr 12 2023 Satoe Imaishi <simaishi@redhat.com> - 2.14.5-1
- Update to 2.14.5

* Thu Oct 13 2022 Satoe Imaishi <simaishi@redhat.com> - 2.14.1-1
- Initial Build
